# Class VolumeFluidDeliveryTotal

Namespace
  adas_core.Domain.Models.Observations

Assembly
  adas-core.Domain.dll

Represents the total volume of fluid delivered as a drug-related double value associated with a specific pump element.

    public class VolumeFluidDeliveryTotal : DrugDoubleValue

Inheritance
  object
  DrugValue
  DrugDoubleValue
  VolumeFluidDeliveryTotal

Inherited Members
  DrugDoubleValue.Value
  DrugValue.Id
  DrugValue.Text
  DrugValue.Units
  DrugValue.Time
  DrugValue.CodingSystem
  DrugValue.Result
  DrugValue.Copy(DrugValue)
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

Inherits from DrugDoubleValue, sharing the pump element context with its base type.

## Constructors

### VolumeFluidDeliveryTotal(PumpElement)

Represents the total volume of fluid delivered as a drug-related double value associated with a specific pump element.

    public VolumeFluidDeliveryTotal(PumpElement pumpElement)

#### Parameters

`pumpElement` PumpElement

#### Remarks

Inherits from DrugDoubleValue, sharing the pump element context with its base type.